/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			OpenGLSkeletonControlUnitz.cxx
	Version:		$Revision: 1068 $
	Date:			$Date: 2011-05-30 16:42:29 +0200 (Mo, 30 Mai 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "OpenGLSkeletonControlUnit.h"

namespace ritk
{


//----------------------------------------------------------------------------
OpenGLSkeletonControlUnit::OpenGLSkeletonControlUnit( QWidget * parent, Qt::WindowFlags flags )
{
	// Std Qt
	setupUi(this);

	// Register this smartpointer
	//qRegisterMetaType<std::vector<ImagePayloadVisualizationConfig> >("std::vector<ImagePayloadVisualizationConfig>");

	connect(this->m_checkBoxInferredJoints,	SIGNAL(clicked(bool)),	this,	SLOT(InferredJointsVisualizationChanged(bool)));
	connect(this->m_checkBoxWriteJointData, SIGNAL(clicked(bool)), this ,   SLOT(JointOutputChanged(bool)));
	connect(this->m_checkBoxShowSkeleton, SIGNAL(clicked(bool)), this, SLOT(showSkeletonChecked(bool)));
}


//----------------------------------------------------------------------------
OpenGLSkeletonControlUnit::~OpenGLSkeletonControlUnit()
{
	
}


void OpenGLSkeletonControlUnit::InferredJointsVisualizationChanged(bool enabled)
{
	emit changeInferredJointVisualization(enabled);
}


void OpenGLSkeletonControlUnit::JointOutputChanged(bool enabled)
{
	emit changeJointOutput(enabled);
}

void OpenGLSkeletonControlUnit::showSkeletonChecked(bool enabled)
{
	emit showSkeletonSignal(enabled);
}



} // end namespace ritk
